/* Load in the custom font */
@font-face {
    font-family: 'Cheerful Donuts';
    src: url('Cheerful Donuts.ttf');
    font-weight: normal;
    font-style: normal;
}

*{
    font-family:'Cheerful Donuts', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,body{
    height: 100%;
    width: 100%;
}

body{
    align-items: center;
    background-color:#EAF6FF;
    background-image: url("images/moreHeartCookies.JPG");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: #2F4858;
}

/* ---------- For the top navbar ---------- */

nav .container{
    background-color:#1d94d9;
    padding: 1rem 4rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    height: 8rem;
    font-size: 1.5rem;
}

nav ul{
    display: flex;
    gap: 30px;
}

nav ul li{
    list-style-type: none;
}

nav ul li a{
    text-decoration: none;
    color: #2F4858;
}

nav img{
    margin: 2rem;
}

.menu-icon{
    display: none;
}

.menu-icon i{
    color: #2F4858;
    font-size: 30px;
}

.container img{
    width: 10rem;
}

@media (max-width:690px){
    nav ul{
        position: absolute;
        top: 8rem;
        left: 0;
        right: 0;
        flex-direction: column;
        text-align: center;
        background-color:#86c9ef;
        gap: 0;
        overflow: hidden;
        z-index: 100;
    }

    nav ul li{
        padding: 20px;
    }

    .menu-icon{
        display: block;
    }

    #menu{
        transition: all 1s;
    }   
}

/* To Do: figure out a better way to handle anchor tag taking up whole container width */
.container a{
    width: 20px;
}

/* ---------- For the main section ---------- */

section{
    margin-top:10rem;
    padding: 2rem;
    text-align: center;
    color: #EAF6FF;
    background:rgba(0,0,0,0.5);   
    font-size: 2rem;
}

section p{
    padding: 0.5rem;
    padding-bottom: 1rem;
}

section button{
    font-size:1.5rem;
    padding:1rem;
    background-color: #86c9ef;
    color: #2F4858;
    border-radius: 8px;
    border: none;
    cursor: pointer;
}

.intro{
    margin: auto;
}

@media (max-width:690px){
    section{
        margin-top:6rem;
    }
}

/* ---------- For the footer ---------- */

footer {
    color: #EAF6FF;
    position:absolute;
    bottom: 0;
    width: 100%;
    text-align: center;
    background:rgba(0,0,0,0.5);    
    padding: 1rem;
    font-size:1.5rem;
}